Bug Hunting Session
Bug 112427 - Some strings untranslated in sidebar though translated into Upper Sorbian for a long time
Summary: Some strings untranslated in sidebar though translated into Upper Sorbian for...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: l10n-Optimization Not-Localizable
  Show dependency treegraph
 
Reported: 2017-09-16 12:10 UTC by milupo
Modified: 2018-12-03 21:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Strings shown untranslated in Upper Sorbian LO (22.95 KB, image/png)
2017-09-16 12:10 UTC, milupo
Details
Panel (16.78 KB, image/png)
2017-09-17 09:48 UTC, Jacques Guilleron
Details
Untranslated strings in Upper Sorbian Writer sidebar (27.22 KB, image/png)
2018-08-23 20:06 UTC, milupo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description milupo 2017-09-16 12:10:34 UTC
Created attachment 136284 [details]
Strings shown untranslated in Upper Sorbian LO

Hi,

I'm LO translator for Upper Sorbian (hsb) amd Lower Sorbian (dsb).

I completed the translation of LO 5.4.1.* into Upper Sorbian for a long time and it is included in the stable release now. But, there are some strings untranslated:

1. In the sidebar (and maybe somewhere else as well), some strings are shown in English (see screenshot in attachment)

2. Some strings are taken from OS, so they appear in OS language. For Sorbian languages they appear in German, see bugs

https://bugs.documentfoundation.org/show_bug.cgi?id=103417 and 
https://redmine.documentfoundation.org/issues/2334

Please update the English strings and fix the bug with OS strings.
Comment 1 Jacques Guilleron 2017-09-17 09:48:04 UTC
Created attachment 136296 [details]
Panel

Hello,

This Seem to be translated in
LO 5.4.1.2 (x64) ID zestajenki: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU-niće: 2; Dźěłowy system: Windows 6.1; UI-render: standard; 
Narodna šema: hsb-DE (fr_FR); Calc: CL

Cordially
Comment 2 milupo 2017-09-17 12:08:32 UTC
Merci, Jacques. :-)

Yes, thus it must look. And you see the OS strings which are in French with you and in German with me. But this is another bug ticket.
Comment 3 milupo 2017-09-28 20:54:38 UTC
Hi Jacques,

the strings are still untranslated in 5.4.2.1 (pre-release). They are translated for a long time, why it is not possible to update the Upper Sorbian locale?
Comment 4 Julien Nabet 2018-08-02 21:15:11 UTC
Any update with last LO version?

On pc Debian x86-64 with master sources updated some days ago, sidebar is quite different from yours.
Comment 5 Xisco Faulí 2018-08-03 10:15:40 UTC
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 6 milupo 2018-08-23 20:06:33 UTC
Created attachment 144403 [details]
Untranslated strings in Upper Sorbian Writer sidebar
Comment 7 milupo 2018-11-26 20:38:51 UTC
Hi,

I think this bug can be marked as resolved. I didn't find untranslated strings in LO 6.2.0.0 beta anymore.
Comment 8 Xisco Faulí 2018-11-27 01:13:00 UTC
Closing a RESOLVED WORKSFORME then...
Comment 9 milupo 2018-12-03 20:09:45 UTC
Hi Xisco,

I've downloaded LO 6.1.4.1 today. There this is not fixed yet. I don't know if it is still worth fixing this bug for LO 6.1.5 and LO 6.1.6.
Comment 10 milupo 2018-12-03 21:07:38 UTC
Oh, sorry, I tried a new profile and all is correct now. The bug can be definitely marked as resolved now.